-- ==============================
-- 长登科技 www.ppfor.com
-- 唐镇波   2010-04-19
-- ------------------------------
-- 公共存储过程
-- ==============================

--关键字处理
if exists(select name from sysobjects where name='PPFOR_TZB_Meta_FormatKeyWord' and type='P')
	drop procedure PPFOR_TZB_Meta_FormatKeyWord
PPFOR_GO;
create procedure PPFOR_TZB_Meta_FormatKeyWord(@KeyWord nvarchar(255),@OutKeyWord nvarchar(255) out)
as
	set @OutKeyWord=replace(@KeyWord,' ','%')
	set @OutKeyWord=replace(@OutKeyWord,';','%')
	set @OutKeyWord=replace(@OutKeyWord,'+','%')
	set @OutKeyWord=replace(@OutKeyWord,'-','%')
	set @OutKeyWord=replace(@OutKeyWord,',','%')
	set @OutKeyWord=replace(@OutKeyWord,'[','%')
	set @OutKeyWord=replace(@OutKeyWord,']','%')
	set @OutKeyWord=replace(@OutKeyWord,'^','%')
	set @OutKeyWord='%' + @OutKeyWord + '%'
PPFOR_GO;